Fastai v1 install issues thread

(Stas Bekman) #347

See: https://docs.fast.ai/install.html#custom-dependencies

Please report back if you manage to get it to work, @aurotripathy

0 Likes

(auro tripathy) #348

Hello @stas.
Thank you for the link.
Applying the installation steps at the link, I was able to get thru the training portion of lesson 1.
I’ll report back again after a few more tests.

1 Like

(Andreas) #349

I’m trying to install pillow-simd for faster JPEG decoding (as explained here) with the following commands:

conda uninstall --force jpeg libtiff -y
conda install -c conda-forge libjpeg-turbo
CC="cc -mavx2" pip install --no-cache-dir -U --force-reinstall --no-binary :all: --compile pillow-simd

The last command fails with the following output:

console output
Collecting package metadata: done
Solving environment: \ 
The environment is inconsistent, please check the package plan carefully
The following packages are causing the inconsistency:

  - defaults/linux-64::qt==5.6.3=h8bf5577_3
  - conda-forge/noarch::jupyter==1.0.0=py_1
  - defaults/linux-64::scikit-image==0.14.1=py37he6710b0_0
  - defaults/linux-64::pyqt==5.6.0=py37h22d08a2_6
  - defaults/linux-64::imageio==2.4.1=py37_0
  - defaults/linux-64::matplotlib==2.2.2=py37hb69df0a_2
  - defaults/noarch::dask==1.1.1=py_0
  - defaults/linux-64::bokeh==1.0.4=py37_0
  - fastai/noarch::fastai==1.0.52=1
  - defaults/linux-64::pillow==6.0.0=py37h34e0f95_0
  - pytorch/noarch::torchvision==0.2.2=py_3
  - conda-forge/noarch::seaborn==0.9.0=py_0
  - defaults/linux-64::qtconsole==4.4.3=py37_0
  - defaults/linux-64::bcolz==1.2.1=py37h04863e7_0
done

# All requested packages already installed.

(fastai) andreas@max-ubuntu:/media/andreas/Data/Machine Learning$ CC="cc -mavx2" pip install --no-cache-dir -U --force-reinstall --no-binary :all: --compile pillow-simd
Collecting pillow-simd
  Downloading https://files.pythonhosted.org/packages/c1/14/7503657df68b428cb38e1f2cb5f8f086b53e9b6f4b79546596d1fcc30256/Pillow-SIMD-5.3.0.post1.tar.gz (606kB)
    100% |████████████████████████████████| 614kB 19.0MB/s 
Installing collected packages: pillow-simd
  Running setup.py install for pillow-simd ... error
    Complete output from command /home/andreas/anaconda3/envs/fastai/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-gbaqr2pi/install-record.txt --single-version-externally-managed --compile:
    running install
    running build
    running build_py
    creating build
    creating build/lib.linux-x86_64-3.7
    creating build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PcdImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/TarIO.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PdfParser.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/_tkinter_finder.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ContainerIO.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PSDraw.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/_binary.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/MpoImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/XpmImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/Image.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PcfFontFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/WmfImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageShow.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/Hdf5StubImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/IcoImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PdfImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GimpGradientFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageMorph.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/OleFileIO.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/SgiImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PixarImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/JpegImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/_version.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/McIdasImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PpmImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/EpsImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FitsStubImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/_util.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageGrab.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/XbmImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/TgaImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/IcnsImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/WebPImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageQt.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FpxImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageDraw.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageCms.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageWin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GifImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageSequence.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/IptcImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/BdfFontFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GdImageFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GribStubImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageColor.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/BufrStubImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/DcxImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageEnhance.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImagePath.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageChops.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/XVThumbImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PyAccess.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/Jpeg2KImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PaletteFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/CurImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FontFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/features.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/WalImageFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PngImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/DdsImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/TiffImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageFont.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/BlpImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GimpPaletteFile.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/MpegImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/SpiderImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FtexImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/MicImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PcxImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageFilter.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/FliImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageStat.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/__init__.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageTk.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageMode.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/MspImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageDraw2.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageOps.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImagePalette.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/BmpImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PalmImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/PsdImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageTransform.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImageMath.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ImtImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/SunImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/TiffTags.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/ExifTags.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/JpegPresets.py -> build/lib.linux-x86_64-3.7/PIL
    copying src/PIL/GbrImagePlugin.py -> build/lib.linux-x86_64-3.7/PIL
    running egg_info
    writing src/Pillow_SIMD.egg-info/PKG-INFO
    writing dependency_links to src/Pillow_SIMD.egg-info/dependency_links.txt
    writing top-level names to src/Pillow_SIMD.egg-info/top_level.txt
    reading manifest file 'src/Pillow_SIMD.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching '*.c'
    warning: no files found matching '*.h'
    warning: no files found matching '*.sh'
    warning: no directories found matching 'Tests'
    no previously-included directories found matching 'docs/_static'
    no previously-included directories found matching 'Tests'
    warning: no previously-included files found matching '.appveyor.yml'
    warning: no previously-included files found matching '.coveragerc'
    warning: no previously-included files found matching '.codecov.yml'
    warning: no previously-included files found matching '.editorconfig'
    warning: no previously-included files found matching '.landscape.yaml'
    warning: no previously-included files found matching '.travis'
    warning: no previously-included files found matching '.travis/*'
    warning: no previously-included files found matching 'tox.ini'
    warning: no previously-included files matching '.git*' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    writing manifest file 'src/Pillow_SIMD.egg-info/SOURCES.txt'
    copying src/PIL/.DS_Store -> build/lib.linux-x86_64-3.7/PIL
    running build_ext
    
    
    The headers or library files could not be found for jpeg,
    a required dependency when compiling Pillow from source.
    
    Please see the install instructions at:
       https://pillow.readthedocs.io/en/latest/installation.html
    
    Traceback (most recent call last):
      File "/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py", line 803, in <module>
        zip_safe=not (debug_build() or PLATFORM_MINGW), )
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/site-packages/setuptools/__init__.py", line 145, in setup
        return distutils.core.setup(**attrs)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/core.py", line 148, in setup
        dist.run_commands()
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/dist.py", line 966, in run_commands
        self.run_command(cmd)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/site-packages/setuptools/command/install.py", line 61, in run
        return orig.install.run(self)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/command/install.py", line 545, in run
        self.run_command('build')
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/command/build.py", line 135, in run
        self.run_command(cmd_name)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/home/andreas/anaconda3/envs/fastai/lib/python3.7/distutils/command/build_ext.py", line 339, in run
        self.build_extensions()
      File "/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py", line 589, in build_extensions
        raise RequiredDependencyException(f)
    __main__.RequiredDependencyException: jpeg
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py", line 815, in <module>
        raise RequiredDependencyException(msg)
    __main__.RequiredDependencyException:
    
    The headers or library files could not be found for jpeg,
    a required dependency when compiling Pillow from source.
    
    Please see the install instructions at:
       https://pillow.readthedocs.io/en/latest/installation.html
    
    
    
    ----------------------------------------
Command "/home/andreas/anaconda3/envs/fastai/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-rhe5mrpv/pillow-simd/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-gbaqr2pi/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-install-rhe5mrpv/pillow-simd/

This worked the last time I updated fastai, but it failed today. Any help would be greatly appreciated.

0 Likes

Performance Improvement Through Faster Software Components
(Stas Bekman) #350

This has absolutely nothing to do with the fastai installation. i.e. wrong thread.

There are some experimental prebuilt conda packages work discussed in the recent posts here:

1 Like

#351

How do I install a specific version of fastai using conda?

0 Likes

(Stas Bekman) #352

You install it like any other conda package version ==version, e.g.:

conda install -c pytorch -c fastai fastai==1.0.50

1 Like

(stefan) #353

I installed fastai as directed here with
conda install -c pytorch -c fastai fastai
Then I installed jupyter notebook with
conda install jupyter notebook
conda install -c conda-forge jupyter_contrib_nbextensions
but got this:

Collecting package metadata: done
Solving environment: | 
The environment is inconsistent, please check the package plan carefully
The following packages are causing the inconsistency:

  - defaults/linux-64::pillow==6.0.0=py37h34e0f95_0
  - pytorch/linux-64::torchvision==0.3.0=py37_cu10.0.130_1
  - fastai/noarch::fastai==1.0.52=1
done

## Package Plan ##

  environment location: /home/stefan/miniconda3/envs/p37cu10FastAI

  added / updated specs:
    - jupyter_contrib_nbextensions


The following packages will be downloaded:

    package                    |            build
    ---------------------------|-----------------
    certifi-2019.3.9           |           py37_0         149 KB  conda-forge
    ------------------------------------------------------------
                                           Total:         149 KB

The following packages will be UPDATED:

  ca-certificates    pkgs/main::ca-certificates-2019.1.23-0 --> conda-forge::ca-certificates-2019.3.9-hecc5488_0

The following packages will be SUPERSEDED by a higher-priority channel:

  certifi                                         pkgs/main --> conda-forge
  openssl              pkgs/main::openssl-1.1.1b-h7b6447c_1 --> conda-forge::openssl-1.1.1b-h14c3975_1


Proceed ([y]/n)? 

Downloading and Extracting Packages
certifi-2019.3.9     | 149 KB    | ########################################################################################################################################## | 100% 
Preparing transaction: done
Verifying transaction: done
Executing transaction: done

I can open a jupyter notebook and pytorch and fastai work ok. But I am worried about the ‘inconsistency’ remark about the environment. Maybe I should ignore it but I thought I should check. I created this conda env specifically for fastai with python3.7.3 and did not install anything else except what I described above and the speedy jpeg libraries as described in the fastai install document.

0 Likes

(Stas Bekman) #354

It’s a new thing from recent conda (tool) releases - I think you can safely ignore it at the moment.

0 Likes

(Jian Shen Yap) #356

Hi, can’t figure out how to create a new post so i guess i will use this thread for my question.

Is there a official build for fastai i.e. Docker build or requirements.txt file such that it is easy to deploy across different machines?

1 Like

(Paul) #357

Does anyone have experience using FastAI with a Singularity container? I am having trouble building a container containing Pytorch and FastAI.

1 Like

(Nitzan Orr) #358

EDIT: Resolved. Used Google search instead of the forum search to find out how to update to the latest version of fastai: conda update -c fastai fastai

I’m running a machine on Paperspace and using the fastai template (not the notebook – rather, a full fledged computer as was recommended in version 2 of the DL part 1 course). However, I noticed that the fastai version that’s being used is older than v1.0.50. I’m not familiar with conda and I’ve tried searching the forums, so I’ve tried conda update fastai but conda says fastai is already installed and it doesn’t update it to the newest version. Is there an easy way to update that I’m missing, or am I stuck with v1.0.42? Thank you!

Side note: I found out I’m running an old version when lesson 1 said error “name ‘cnn_learner’ is not defined”

0 Likes

(Stas Bekman) #359

it doesn’t update it to the newest version

See: https://docs.fast.ai/troubleshoot.html#cant-install-the-latest-fastai-conda-package

0 Likes

#360

Trying to install fastai on win10, but it fails with this error:

(base) PS C:\work\fastai\course-v3-master> conda install -c fastai fastai
Collecting package metadata (current_repodata.json): done
Solving environment: failed
Collecting package metadata (repodata.json): done
Solving environment: failed

UnsatisfiableError: The following specifications were found to be incompatible with each other:

  - anaconda==2019.03=py37_0 -> astroid==2.2.5=py37_0 -> wrapt
  - anaconda==2019.03=py37_0 -> importlib_metadata==0.8=py37_0 -> zipp[version='>=0.3.2']
  - astroid -> wrapt
  - fastai -> spacy[version='>=2.0.18'] -> thinc[version='>=6.12.0,<6.13.0'] -> wrapt[version='>=1.10.0,<1.11.0']
  - pkgs/main/win-64::importlib_metadata==0.8=py37_0 -> zipp[version='>=0.3.2']
  - pkgs/main/win-64::path.py==11.5.0=py37_0 -> importlib_metadata[version='>=0.5']
  - pkgs/main/win-64::zipp==0.3.3=py37_1
  - pylint -> astroid[version='>=2.2.0'] -> wrapt
  - spyder -> pylint -> astroid[version='>=2.2.0'] -> wrapt
  - wrapt

(base) PS C:\work\fastai\course-v3-master>

conda list identifies wrapt as:

wrapt                     1.11.1           py37he774522_0

conda search wrapt reveals versions 1.10.11, 1.11.0, and 1.11.1 are available.

(base) PS C:\work\fastai\course-v3-master> conda install wrapt=1.10.11
Collecting package metadata (current_repodata.json): done
Solving environment: failed
Collecting package metadata (repodata.json): done
Solving environment: failed

UnsatisfiableError: The following specifications were found to be incompatible with each other:

  - anaconda==2019.03=py37_0 -> astroid==2.2.5=py37_0 -> wrapt
  - anaconda==2019.03=py37_0 -> importlib_metadata==0.8=py37_0 -> zipp[version='>=0.3.2']
  - astroid -> wrapt
  - pkgs/main/win-64::importlib_metadata==0.8=py37_0 -> zipp[version='>=0.3.2']
  - pkgs/main/win-64::path.py==11.5.0=py37_0 -> importlib_metadata[version='>=0.5']
  - pkgs/main/win-64::zipp==0.3.3=py37_1
  - pylint -> astroid[version='>=2.2.0'] -> wrapt
  - spyder -> pylint -> astroid[version='>=2.2.0'] -> wrapt
  - wrapt=1.10.11

I don’t really understand all of these errors, but it seems like fastai needs to be updated to allow for the latest version of wrapt to be used?

0 Likes

#361

Using a dedicated environment allowed the installation to proceed.

However, the instructions on https://docs.fast.ai/troubleshoot.html#dedicated-environment did not work. I had to run: conda create --name fastai-env (i.e. no -python argument)

0 Likes

(Stas Bekman) #362

Please try copy-n-paste instead of typing, as there is no -python argument in the instructions you linked to.

This works - retested with the latest conda.

conda create -y python=3.6 --name fastai-3.6

I don’t really understand all of these errors, but it seems like fastai needs to be updated to allow for the latest version of wrapt to be used?

fastai doesn’t depend on wrapt - some other sub-deps do and they collide with some other packages you manually installed - nothing fastai can do about it.

See: https://docs.fast.ai/troubleshoot.html#cant-install-the-latest-fastai-conda-package

0 Likes

#363

The latest conda version appears to be incompatible with the conda readme.md / website install method.

If I do a

conda install -c pytorch -c fastai fastai

in conda version 4.7.10 (the current version), I get the following “unsatisfiable error”:

(base) brett@xxxxxxx:~$ conda install -c pytorch -c fastai fastai
Collecting package metadata (current_repodata.json): done                                                                                                                                                                         
Solving environment: failed with current_repodata.json, will retry with next repodata source.                                                                                                                                     
Initial quick solve with frozen env failed.  Unfreezing env and trying again.                                                                                                                                                     
Solving environment: failed with current_repodata.json, will retry with next repodata source.                                                                                                                                     
Collecting package metadata (repodata.json): done                                                                                                                                                                                 
Solving environment: failed                                                                                                                                                                                                       
Initial quick solve with frozen env failed.  Unfreezing env and trying again.                                                                                                                                                     
Solving environment: failed                                                                                                                                                                                                                                                                                                                                                                                                                                         
UnsatisfiableError: The following specifications were found to be incompatible with each other:                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
Package cytoolz conflicts for:                                                                                                                                                                                                    
scikit-image -> dask[version='>=0.5'] -> 
distributed[version='>=1.19.0,>=1.20.0,>=1.21.0,>=1.23.0,>=1.23.1,>=1.26.0'] -> 
cytoolz[version='>=0.7.4']                                                                               cytoolz                                                                                                                                                                                                                           
dask -> distributed[version='>=1.19.0,>=1.20.0,>=1.21.0,>=1.23.0,>=1.23.1,>=1.26.0'] -> 
cytoolz[version='>=0.7.4']                                                                                                                
distributed -> cytoolz[version='>=0.7.4']                                                                                                                                                                                         
fastai -> spacy[version='2.0.16,>=2.0.18'] -> thinc[version='>=6.12.0,<6.13.0'] -> 

cytoolz[version='>=0.9.0,<0.10']                                                                                                               
Package wrapt conflicts for:                                                                                                                                                                                                      
pylint -> astroid[version='>=1.5.1,>=1.6,<2.0,>=2.0.0,>=2.2.0'] -> wrapt                                                                                                                                                          
fastai -> spacy[version='2.0.16,>=2.0.18'] -> thinc[version='>=6.12.0,<6.13.0'] -> 
wrapt[version='>=1.10.0,<1.11.0,>=1.10.10,<1.11.0']                                                                                            
wrapt                                                                                                                                                                                                                             
anaconda==2019.07=py37_0 -> pylint==2.3.1=py37_0 -> astroid[version='>=1.5.1,>=2.0.0,>=2.2.0'] -> 
wrapt                                                                                                                           spyder -> pylint -> 
astroid[version='>=1.5.1,>=1.6,<2.0,>=2.0.0,>=2.2.0'] -> wrapt                                                                                                                                                
astroid -> wrapt              

If I downgrade my Anaconda to 4.6.11:

conda install conda=4.6.11

fastai installs just fine with the

conda install -c pytorch -c fastai fastai

command.

Tested on a fresh install of Ubuntu 18.04 as of today.

1 Like

#364

I have a local installation on Windows using anaconda with a dedicated environment

All is successfully installed but the fastai doesn’t use the GPU.
torch.cuda.is_available() returns True
and torch.cuda.get_device_name() returns correctly GTX 970

How to diagnose further?

0 Likes

(Adam Khakhar) #365

Hello,

I am beginning to create my model and ran into an issue in the first line:
When running:
%reload_ext autoreloadEn
%autoreload 2
%matplotlib inline

I get the error:
ModuleNotFoundError Traceback (most recent call last)
in
----> 1 get_ipython().run_line_magic(‘reload_ext’, ‘autoreloadEn’)
2 get_ipython().run_line_magic(‘autoreload’, ‘2’)
3 get_ipython().run_line_magic(‘matplotlib’, ‘inline’)

When going back to lesson1, the same code throws the same error. I do not understand why it was working yesterday but not today. Can someone please offer any advice?

Thanks!

0 Likes

#366

Hi @adam_yc, there is typing error in this part of the code - En is added at the end of autoreload. Please check with the code below, it will work.

%reload_ext autoreload
%autoreload 2
%matplotlib inline

Cheers,
Pradi

0 Likes

#367

Hi All,

When I am trying to import fastai.vision, I get the following error,

/usr/local/lib/python3.7/bz2.py in
17 from threading import RLock
18
—> 19 from _bz2 import BZ2Compressor, BZ2Decompressor
20
21

ModuleNotFoundError: No module named ‘_bz2’

I have created a virtual environment to install fastai 1.0 and I use Ubuntu 16.4. Online searches suggest to modify py code, which is not possible to do in my case. Can anyone suggest what can be done to rectify this error.

Thanks!

0 Likes